import { RuntimeM2MField, SubmitValue } from '@oinone/kunlun-engine';
import { FormRelationFieldCheckboxWidget } from '../../abstract/checkbox';
export declare class FormM2MCheckboxFieldWidget extends FormRelationFieldCheckboxWidget<RuntimeM2MField> {
    initialize(props: any): this;
    submit(submitValue: SubmitValue): Promise<Record<string, unknown> | undefined>;
}
